Kerbal Space Program - Bug #1158

When Docking Magnetism effect doesn't activate (wrong docking port states)
07/30/2013 01:29 AM - pd12

Status: Closed Start date: 07/30/2013
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.21.1 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

| tried to dock for hours with the docking ports (standard Clamp-a-Tron, non-shielded) touching/kissing each other for >10 seconds
each approach.

| went on the forums and found [[
http://forum.kerbalspaceprogram.com/showthread.php/34492-Docking-Port-Sr-refusing-to-dock/page?]] .

| checked my persistent.sfs file and found that one of the docking ports which | used was in "state = Acquired".

After changing it to "state = Ready" docking worked perfectly.

Multiple users had the same problem (see forum link).
DMagic speculated the cause being:

"l found that quicksaving before docking, while | had the target port acquired and the rover port as the 'control from here' point,
caused this. It docked once just fine, but because of some issues | had driving the rover | had to reload. After this the port would
no longer dock. In the persistence file the rover port was set to "state = acquire”, changing it to "ready" fixed it."

I never manually quicksaved, although | may have switched back to the space centre/restart the game before attempting the docking,
when my 2 spacecraft were close to each other.

| used 0.21.1 Linux, but have also used the Windows version (though not to dock). Issue was reported in the forum at least back to
12th June 2013. (before version 0.21).

History

#1 - 11/16/2015 06:34 AM - orcaman98

Just had this problem, and reading this bug report saved my biscuit! Thank you!
Same/similar bug still exists as of 1.0.5
| can't confirm the root cause, but | can definitely confirm the solution.

#2 - 07/17/2016 09:38 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/07/2016 12:07 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

#4 - 05/02/2017 08:04 AM - orcaman98

I'll be a monkeys uncle if this just didn't happen again! The circumstances were somewhat more reasonable this time, but still. My absolutely
monstrous station suffered an unplanned disassembly due to oscillations, and fortunately broke at the docking port, but the port on the sub-part was
labelled as Docked (docker). | had a heck of time with this, though because there was another "state" field with a value of "1" Most others are "0"
Anyone know what that's about?

Windows x64 Ver 1.2.2.1622

04/09/2024 22


http://www.tcpdf.org

